Bug 487526 - Discover crashes while trying to replace breeze-dark flatpak
Summary: Discover crashes while trying to replace breeze-dark flatpak
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Applications
Component: discover (show other bugs)
Version: unspecified
Platform: Arch Linux Linux
: NOR crash
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
: 488734 489216 (view as bug list)
Depends on:
Blocks:
 
Reported: 2024-05-25 10:21 UTC by przem.formela
Modified: 2024-07-12 07:55 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.2.0
Sentry Crash Report:


Attachments
New crash information added by DrKonqi (100.52 KB, text/plain)
2024-05-25 10:21 UTC, przem.formela
Details

Note You need to log in before you can comment on or make changes to this bug.
Description przem.formela 2024-05-25 10:21:31 UTC
Application: plasma-discover (6.0.90)

Qt Version: 6.7.0
Frameworks Version: 6.2.0
Operating System: Linux 6.9.1-arch1-2 x86_64
Windowing System: Wayland
Distribution: "Arch Linux"
DrKonqi: 6.0.90 [CoredumpBackend]

-- Information about the crash:
Discover-notifier notified me about an update; only freedesktop platform was upgradeable, so I clicked through. Got the pop-up about replacement for Breeze-Dark (supposed to be replaced by "", that is, empty string). Clicked OK. Discover crashed.

The crash can be reproduced every time.

-- Backtrace (Reduced):
#5  0x00007dbea4069b57 in QByteArrayView::QByteArrayView<char const*, true> (this=<optimized out>, data=<optimized out>) at /usr/include/qt6/QtCore/qbytearrayview.h:152
#6  FlatpakTransactionThread::fail (this=this@entry=0x5f1963f714a0, refName=refName@entry=0x7dbd6810e930 "runtime/org.gtk.Gtk3theme.Breeze-Dark/x86_64/3.22", error=0x0) at /usr/src/debug/discover/discover-6.0.90/libdiscover/backends/FlatpakBackend/FlatpakTransactionThread.cpp:384
#7  0x00007dbea406ad4d in FlatpakTransactionThread::end_of_lifed_with_rebase (reason=<optimized out>, this=0x5f1963f714a0, remote=0x7dbd681407d0 "flathub", ref=0x7dbd6810e930 "runtime/org.gtk.Gtk3theme.Breeze-Dark/x86_64/3.22", rebased_to_ref=0x0, previous_ids=0x7dbd681408b0) at /usr/src/debug/discover/discover-6.0.90/libdiscover/backends/FlatpakBackend/FlatpakTransactionThread.cpp:420
#8  Callbacks::end_of_lifed_with_rebase (transaction=<optimized out>, remote=0x7dbd681407d0 "flathub", ref=0x7dbd6810e930 "runtime/org.gtk.Gtk3theme.Breeze-Dark/x86_64/3.22", reason=<optimized out>, rebased_to_ref=0x0, previous_ids=0x7dbd681408b0, user_data=0x5f1963f714a0) at /usr/src/debug/discover/discover-6.0.90/libdiscover/backends/FlatpakBackend/FlatpakTransactionThread.cpp:153
#9  0x00007dbecbedf596 in ffi_call_unix64 () at ../src/x86/unix64.S:104


Reported using DrKonqi
Comment 1 przem.formela 2024-05-25 10:21:32 UTC
Created attachment 169812 [details]
New crash information added by DrKonqi

DrKonqi auto-attaching complete backtrace.
Comment 2 Bug Janitor Service 2024-06-07 09:54:06 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/864
Comment 3 Harald Sitter 2024-06-19 14:20:30 UTC
*** Bug 488734 has been marked as a duplicate of this bug. ***
Comment 4 Harald Sitter 2024-06-25 10:41:32 UTC
Git commit 435a31c4a1491d1ab5264b223f30678524aced56 by Harald Sitter.
Committed on 25/06/2024 at 10:33.
Pushed by sitter into branch 'master'.

flatpak: don't trip over null gerrors

notably happens currently when rebasing without a rebase target and
failing internal flatpak assertions causing a !correct return but not
setting localError

M  +3    -1    libdiscover/backends/FlatpakBackend/FlatpakTransactionThread.cpp

https://invent.kde.org/plasma/discover/-/commit/435a31c4a1491d1ab5264b223f30678524aced56
Comment 5 Nate Graham 2024-06-26 16:09:03 UTC
*** Bug 489216 has been marked as a duplicate of this bug. ***
Comment 6 Harald Sitter 2024-07-12 07:55:10 UTC
Git commit c5c61cf6da9badf7002a32f086ecb3ef457d747c by Harald Sitter.
Committed on 12/07/2024 at 07:10.
Pushed by sitter into branch 'Plasma/6.1'.

flatpak: don't trip over null gerrors

notably happens currently when rebasing without a rebase target and
failing internal flatpak assertions causing a !correct return but not
setting localError
(cherry picked from commit 435a31c4a1491d1ab5264b223f30678524aced56)

M  +3    -1    libdiscover/backends/FlatpakBackend/FlatpakTransactionThread.cpp

https://invent.kde.org/plasma/discover/-/commit/c5c61cf6da9badf7002a32f086ecb3ef457d747c